Subject: bug#41910: 26.3; xclip (wl-copy/Wayland) doesn't copy from Emacs Client

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Jun 2020 17:24:43 +0300

> From: [email-masked]
> Date: Wed, 17 Jun 2020 10:31:55 +0200
> 
> I'm using xclip 1.10 under Wayland and I use `wl-clipboard` [0] to copy
> and paste.
> 
> When I connect a client to the Emacs daemon, I cannot copy text from a
> buffer to outside Emacs (be it a GTK application or another shell). To
> copy and paste text from a buffer:
> 
> - I start selecting text with `C-space` then arrow keys to extend the
> selection
> 
> - I copy the selection with `C-w`
> 
> - I paste the selection outside Emacs with whatever works (shift+ctrl+v,
> 
> - shift+ins, ctrl+v, ecc.)
> 
> If I start `emacs` directly the above workflow works just fine.

Please tell how you invoke emacsclient in those cases.

Also, if you disable xclip and don't use wl-clipboard, does the
problem go away?

Thanks.